Trade Information

Pushes information for each individual trade. On first subscription, 100 historical records are returned.

Channel name: <symbol>@marketTrade

Subscription example:

{"method":"SUBSCRIBE","params":["btcusdc@marketTrade"]}

Response example:

seqNum is an incremental sequence number.

{
    "eventType": "marketTrade",
    "param": "btcusdc@marketTrade",
    "action": "update",
    "eventTime": 1778594355682,
    "data": [
        {
            "symbol": "BTCUSDC",
            "execId": 2213404312980601091,
            "lastPrice": "80365",
            "lastQty": "0.0004",
            "buyOrderId": 2213404309398665472,
            "sellOrderId": 2213404312980601089,
            "transactTime": 1778594355639,
            "isBuyerMaker": true,
            "side": "SELL",
            "seqNum": 4684368542,
            "isMaker": false
        }
    ]
}

Field descriptions

FieldDescription
symbolTrading pair
execIdTrade ID
lastPriceTrade price
lastQtyTrade quantity
buyOrderIdBuy order ID
sellOrderIdSell order ID
transactTimeTrade time
isBuyerMakerWhether the buyer is the maker
sideOrder side: BUY or SELL
seqNumIncremental sequence number
isMakerWhether the buyer is the maker. If true, this trade was an aggressive sell order; otherwise, it was an aggressive buy order.